Community
cancel
Showing results for 
Search instead for 
Did you mean: 
MCoop7
Beginner
422 Views

I have a ep3c55 with a M25P20 configurator. What version if any can I use thats free to program the M25P20 with a hex file?

Quartus Lite 18.1 I downloaded and its still asking for a license?

0 Kudos
12 Replies
ShafiqY_Intel
Employee
100 Views

Hi MCoop7,

 

As far as I know, Quartus Lite/Standard version do not support M25P20 flash device.

For alternative, you can used EPCS/EPCQ/EPCQ-A device.

 

Thanks

MCoop7
Beginner
100 Views

HI, Unfortunately I am only the test engineer and cannot modify the design. I can make recommendations but not likely it will be acted on.

Is there any version of Quartus that can program a M25p20 attached to ep3c55? We are in the process of releasing an EOL of the same board and it will have the same part.

ShafiqY_Intel
Employee
100 Views

Hi MCoop7,

 

M25p20 device do not in any version of Quartus.

Another alternative I can recommend, you can use "Generic Flash Programmer" in Quartus 18.1.1std /19.1pro version and above.

"Generic Flash Programmer" enable user to define any 3rd party QPSI flash device in Quartus.

1.JPG

 

MCoop7
Beginner
100 Views

I assume both of these require a license and isn't free?

Generic Flash Programmer" in Quartus 18.1.1std /19.1pro version and above.

ShafiqY_Intel
Employee
100 Views

Yes, both of these require license.

MCoop7
Beginner
100 Views

​I downloaded 18.1 Prime Standard Edition I found a license I can use from our design group.   I opened up the convert programming file window like above but I dont see the NEW Button I must be missing something still checking for updates.

ShafiqY_Intel
Employee
100 Views

Hi MCoop7,

 

"Generic Flash Programmer" only available on 18.1.1 and above.

 

Please update your Quartus to 18.1.1.

 

Below are the step to update the Quartus to 18.1.1:

  1. Go to link http://fpgasoftware.intel.com/18.1/?edition=standard
  2. Select the "Updates" option
  3. Follow the "Download and install instructions."

 

Thanks.

ShafiqY_Intel
Employee
100 Views

In addtion, to check your current Quartus version:

  1. Open your Quartus
  2. Go to Help > About Quartus Prime.
  3. You can see whether your current Quartus is 18.1.0 or 18.1.1

 

Thanks

MCoop7
Beginner
100 Views

​I think I have the m25p20 entered correctly?   I am surprised the software filled in the Initialization/program/erase/verify flow charts without any input on my behalf.  My question though is I see some commands that dont match the m25p20 datasheet and a couple for which i have no clue where or what they are?    see below.  VCR   Command 0x81?      EVCR Command 0x61?   These are not even in the Command set for m25p20?

MCoop7
Beginner
100 Views

That almost solves my issue, .JIC is exactly what i need to create the .JAM file. i am using 18.1 lite no license though. I am not clear though if using the lite there is a way to manually create a memory device. Is there a Quartus version that doesnt require a license to create?

MCoop7
Beginner
100 Views

​Well I am closer using 19.2 quartus.  However after reading the online   Generic Flash Programmer User Guide I am not sure after all this the software will work for cyclone 3 ep3c55->m25p20

I did attempt to create a generic m25p20 but some of the fields are not self-intuitive.   Looking at the M25p20 part spec I dont find "single I/O mode dummy clock".   Its not a quad device so I guess i leave that 0?

ShafiqY_Intel
Employee
100 Views

Cyclone III only support Quartus up to 13.1 version only. Thus, I dont think you can use  Generic Flash Programmer for your device ( Generic Flash Programmer only support Quartus 18.1.1).

Thanks

Reply